
Ruby - Bug #10615

SIGKILL is not supported by signal() of some versions of MSVCRT

12/18/2014 05:24 AM - usa (Usaku NAKAMURA)

Status: Closed   

Priority: Normal   

Assignee: usa (Usaku NAKAMURA)   

Target version: 2.2.0   

ruby -v: - Backport: 2.0.0: DONE, 2.1: DONE

Description

MSVCRTはSIGKILLをサポートしておらず(C標準外なので割と当たり前)、Rubyで自前サポートしているわけなのですが、にもかかわらずsignal()にはそのまんま渡しているため、一部のMSVC

RT実装で問題が起きているようです。

Associated revisions

Revision 42496f2f3391c42c955fb492444fdc482f35cb61 - 12/18/2014 05:26 AM - U.Nakamura 

signal.c (ruby_signal): since SIGKILL is not supported by MSVCRT,

should be treated before calling signal(2).

[Bug #10615]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@48884 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 42496f2f - 12/18/2014 05:26 AM - U.Nakamura 

signal.c (ruby_signal): since SIGKILL is not supported by MSVCRT,

should be treated before calling signal(2).

[Bug #10615]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@48884 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision ce65dfa3a60f436334ccf4530ba39eb0b63e1998 - 01/14/2015 07:08 AM - U.Nakamura 

merge revision(s) 48884,48885: [Backport #10615]

    * signal.c (ruby_signal): since SIGKILL is not supported by MSVCRT,

      should be treated before calling signal(2).

      [Bug #10615]

      should be treated before calling signal(3).

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_0_0@49247 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision ce65dfa3 - 01/14/2015 07:08 AM - U.Nakamura 

merge revision(s) 48884,48885: [Backport #10615]

    * signal.c (ruby_signal): since SIGKILL is not supported by MSVCRT,

      should be treated before calling signal(2).

      [Bug #10615]

      should be treated before calling signal(3).

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_0_0@49247 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision bdfd5fd1ab5895efcf933e45af8ef1815ad54a13 - 01/21/2015 04:15 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) r48884,r48885: [Backport #10615]

    * signal.c (ruby_signal): since SIGKILL is not supported by MSVCRT,

      should be treated before calling signal(3).

      [Bug #10615]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_1@49370 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision bdfd5fd1 - 01/21/2015 04:15 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) r48884,r48885: [Backport #10615]
    * signal.c (ruby_signal): since SIGKILL is not supported by MSVCRT,

      should be treated before calling signal(3).

      [Bug #10615]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_1@49370 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 12/18/2014 05:27 AM - usa (Usaku NAKAMURA)

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset r48884.

signal.c (ruby_signal): since SIGKILL is not supported by MSVCRT,

should be treated before calling signal(2).

[Bug #10615]

#2 - 01/14/2015 07:09 AM - usa (Usaku NAKAMURA)

- Backport changed from 2.0.0: REQUIRED, 2.1: REQUIRED to 2.0.0: DONE, 2.1: REQUIRED

Backported r48884 and r48885 into ruby_2_0_0 at r49247.

#3 - 01/21/2015 04:15 PM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 2.0.0: DONE, 2.1: REQUIRED to 2.0.0: DONE, 2.1: DONE

Backported into ruby_2_1 at r49370.
